package cn.hmsoft.skill.data.model.std;

import java.io.Serializable;
import java.time.LocalDate;

import cn.hmsoft.jdbc.entity.Table;

/**********************************************
* 考生使用资源记录
* @author: zxq
* @date: 2019-08-25 08:35:09
* @version: 2.0.0
* @email: revisit@126.com
* @Company: www.hmsoft.cn
*/
@Table(tableName = "STD_RES", keyColumn =  "WEIXIN_ID" , sequenceName = "")
public class StdRes implements Serializable{
	private static final long serialVersionUID = 2998191970737840266L;
	//微信编号（open_id或者是unioinid）
	private String weixin_id;
	//资源类型
	private String res_type;
	//考生编号
	private Integer std_id;
	//身份证验证日期
	private LocalDate res_date;
	//验证次数
	private Integer res_number;

	/****
	 * 微信编号（open_id或者是unioinid）
	 */
	public String getWeixin_id() {
		return this.weixin_id;
	}

	/****
	 * 微信编号（open_id或者是unioinid）
	 */
	public void setWeixin_id(String weixin_id) {
		this.weixin_id = weixin_id;
	}

	/****
	 * 资源类型
	 */
	public String getRes_type() {
		return this.res_type;
	}

	/****
	 * 资源类型
	 */
	public void setRes_type(String res_type) {
		this.res_type = res_type;
	}

	/****
	 * 考生编号
	 */
	public Integer getStd_id() {
		return this.std_id;
	}

	/****
	 * 考生编号
	 */
	public void setStd_id(Integer std_id) {
		this.std_id = std_id;
	}

	/****
	 * 身份证验证日期
	 */
	public LocalDate getRes_date() {
		return this.res_date;
	}

	/****
	 * 身份证验证日期
	 */
	public void setRes_date(LocalDate res_date) {
		this.res_date = res_date;
	}

	/****
	 * 验证次数
	 */
	public Integer getRes_number() {
		return this.res_number;
	}

	/****
	 * 验证次数
	 */
	public void setRes_number(Integer res_number) {
		this.res_number = res_number;
	}
	


}